note
   description: "A computer chassis integrating other computer parts"

class CHASSIS
  inherit COMPOSITE_PART

create make -- inherited from COMPOSITE_PART

-----------------------------
feature -- Attributes

length, width : REAL

-----------------------------
feature -- For Visitors

accept (visitor : PART_VISITOR)
  -- Makes visitor visit the current piece of equipment.
  do
    visitor.visit_chassis(Current)
  end

end
