note
   description: "Visitor to display the prices of pieces of computer equipment"

class PRICING_VISITOR_DISCOUNT
  inherit PRICING_VISITOR

create execute

-----------------------------
feature {NONE} -- Execution

execute(part : PART)
  -- Compute the price of the part
  do
    part.accept(Current)
    total := total * 0.9
  end

-----------------------------
feature {NONE} -- Support

add_to_total(part : PART)
  --  Add the net price of the part to the total
  do
    total := total + part.cost * part.profit_margin
  end

end
